#!/bin/sh
# usr-include-tc.sh : test case for Linux Annex /usr/include directory

tet_startup="startup"			# startup function
tet_cleanup="cleanup"			# cleanup function
iclist="ic1 ic2"
ic1="tp1"
ic2="tp2"


tp1()
{
	tpstart "Reference 6.1.5-1(C)"
	tet_infoline "If the implementation provides a  C or C++ compiler then"
	tet_infoline "The symbolic link /usr/include/asm exists and points to "
	tet_infoline "/usr/src/linux/include/asm-<arch>  where arch is the architecture, i.e. i386, m68k, sparc  "
	if test -z $LSB_C_COMPILER_SUPPORTED
	then
		tpresult UNSUPPORTED
		return
	fi
	
	lsb_setarch
	tet_infoline "Architecture is $lsb_arch"

	lsb_test_symlink  /usr/include/asm /usr/src/linux/include/asm-$lsb_arch >out.stdout 2>out.stderr
	RESCODE=$?
	case $RESCODE in
	0)
		check_nostdout			# should be no stdout
		check_nostderr			# should be no stderr
		tpresult			# set result code
		;;
	1)
		infofile out.stdout 		# should be stdout
		FAIL=N
		tpresult FIP
		;;
	*)
		check_exit_value $? 0		# should be zero
		check_nostdout			# should be no stdout
		check_nostderr			# should be no stderr
		FAIL=N
		tpresult UNRESOLVED
		;;
	esac
}

tp2()
{
	tpstart "Reference 6.1.5-2(C)"
	tet_infoline "If the implementation provides a  C or C++ compiler then"
	tet_infoline "The symbolic link /usr/include/linux exists and points to "
	tet_infoline "/usr/src/linux/include/linux"
	if test -z $LSB_C_COMPILER_SUPPORTED
	then
		tpresult UNSUPPORTED
		return
	fi
	lsb_test_symlink /usr/include/linux /usr/src/linux/include/linux >out.stdout 2>out.stderr
	RESCODE=$?
	case $RESCODE in
	0)
		check_nostdout			# should be no stdout
		check_nostderr			# should be no stderr
		tpresult			# set result code
		;;
	1)
		infofile out.stdout 		# should be stdout
		FAIL=N
		tpresult FIP
		;;
	*)
		check_exit_value $? 0		# should be zero
		check_nostdout			# should be no stdout
		check_nostderr			# should be no stderr
		FAIL=N
		tpresult UNRESOLVED
		;;
	esac
}

startup() # startup function
{
     rm -f out.stdout out.stderr out.experr >/dev/null 2>&1
}


cleanup() # clean-up function
{
     rm -f out.stdout out.stderr out.experr >/dev/null 2>&1
}

# source common shell functions

. $TET_EXECUTE/LIB/shfuncs.sh
. $TET_EXECUTE/LIB/lsbfuncs.sh

# execute shell test case manager - must be last line
. $TET_ROOT/lib/xpg3sh/tcm.sh
