#!/bin/sh
# usr-src-tc.sh : test case for Linux Annex /usr/src directory

tet_startup="startup"			# startup function
tet_cleanup="cleanup"			# cleanup function
iclist="ic1 ic2 ic3"
ic1="tp1"
ic2="tp2"
ic3="tp3"


tp1()
{
	tpstart "Reference 6.1.6-1(A)"
	tet_infoline "The /usr/src/linux directory exists"
	lsb_test_dir_searchable /usr/src/linux >out.stdout  2>out.stderr
	check_exit_value $? 0		# should be zero
	check_nostdout			# should be no stdout
	check_nostderr			# should be no stderr
	tpresult				# set result code
}

tp2()
{
	tpstart "Reference 6.1.6-2(C)"
	tet_infoline "If the implementation provides a  C or C++ compiler then"
	tet_infoline "The directory /usr/src/linux/include exists"
	if test -z $LSB_C_COMPILER_SUPPORTED
	then
		tpresult UNSUPPORTED
		return
	fi
	lsb_test_dir_searchable /usr/src/linux/include  >out.stdout  2>out.stderr
	check_exit_value $? 0		# should be zero
	check_nostdout			# should be no stdout
	check_nostderr			# should be no stderr
	tpresult				# set result code
}
tp3()
{
	tpstart "Reference 6.1.6-3(C)"
	tet_infoline "If the implementation provides a  C or C++ compiler then"
  	tet_infoline "The directory /usr/src/linux/include/asm-<arch> exists"
	tet_infoline "where arch is i386 or m68k or sparc or..."
	if test -z $LSB_C_COMPILER_SUPPORTED
	then
		tpresult UNSUPPORTED
		return
	fi
	lsb_setarch
	tet_infoline "Architecture is $lsb_arch"
	if ! test -e /usr/src/linux/include/asm-$lsb_arch	
	then
		FAIL=Y
	fi
	tpresult				# set result code
}

startup() # startup function
{
     rm -f out.stdout out.stderr out.experr >/dev/null 2>&1
}


cleanup() # clean-up function
{
     rm -f out.stdout out.stderr out.experr >/dev/null 2>&1
}

# source common shell functions

. $TET_EXECUTE/LIB/shfuncs.sh
. $TET_EXECUTE/LIB/lsbfuncs.sh

# execute shell test case manager - must be last line
. $TET_ROOT/lib/xpg3sh/tcm.sh
