#!/bin/sh
# mnt-tc.sh : test case for /mnt directory

tet_startup="startup"			# startup function
tet_cleanup="cleanup"			# cleanup function
iclist="ic1 ic2"
ic1="tp1"
ic2="tp2"


tp1()
{
	tpstart "Reference 3.7-1(A)"
	tet_infoline "The /mnt directory exists and is searchable"
	lsb_test_dir_searchable /mnt >out.stdout  2>out.stderr
	check_exit_value $? 0		# should be zero
	check_nostdout			# should be stdout
	check_nostderr			# should be no stderr
	tpresult				# set result code
}

tp2()
{
	tpstart "Reference 3.7-2(C)" 
	tet_infoline "Subdirectories may exist under the /mnt directory supports the mounting of filesystems"
# note: we'll probably want to test mounting a floppy disk onto
# /mnt/floppy. 
	tpresult UNTESTED			# set result code
}



startup() # startup function
{
     rm -f out.stdout out.stderr out.experr >/dev/null 2>&1
}


cleanup() # clean-up function
{
     rm -f out.stdout out.stderr out.experr >/dev/null 2>&1
}

# source common shell functions

. $TET_EXECUTE/LIB/shfuncs.sh
. $TET_EXECUTE/LIB/lsbfuncs.sh

# execute shell test case manager - must be last line
. $TET_ROOT/lib/xpg3sh/tcm.sh
