#!/bin/sh
# share-misc-tc.sh : test case for /usr/share/misc directory

tet_startup="startup"			# startup function
tet_cleanup="cleanup"			# cleanup function
iclist="ic1 ic2 ic3 ic4 ic5"
ic1="tp1"
ic2="tp2"
ic3="tp3"
ic4="tp4"
ic5="tp5"


tp1()
{
	tpstart "Reference 4.8.3-1(A)"
	tet_infoline "The /usr/share/misc directory exists and is searchable"
	lsb_test_dir_searchable /usr/share/misc >out.stdout  2>out.stderr
	check_exit_value $? 0		# should be zero
	check_nostdout			# should be no stdout
	check_nostderr			# should be no stderr
	tpresult				# set result code
}

tp2()
{
	tpstart "Reference 4.8.3-2(C)"
	tet_infoline "If the implementation supports the file ascii"
	tet_infoline "it will exist in the /usr/share/misc directory"
	if test -z $LSB_FILE_ASCII
	then
		tpresult UNSUPPORTED
		return
	fi
	lsb_test_file /usr/share/misc/ascii >out.stdout  2>out.stderr
	check_exit_value $? 0		# should be zero
	check_nostdout			# should be no stdout
	check_nostderr			# should be no stderr
	tpresult				# set result code
}

tp3()
{
	tpstart "Reference 4.8.3-3(C)"
	tet_infoline "If the implementation supports the file magic"
	tet_infoline "it will exist in the /usr/share/misc directory"
	if test -z $LSB_FILE_MAGIC
	then
		tpresult UNSUPPORTED
		return
	fi
	lsb_test_file /usr/share/misc/magic >out.stdout  2>out.stderr
	check_exit_value $? 0		# should be zero
	check_nostdout			# should be no stdout
	check_nostderr			# should be no stderr
	tpresult				# set result code
}

tp4()
{
	tpstart "Reference 4.8.3-4(C)"
	tet_infoline "If the implementation supports the file termcap"
	tet_infoline "it will exist in the /usr/share/misc directory"
	if test -z $LSB_FILE_TERMCAP
	then
		tpresult UNSUPPORTED
		return
	fi
	lsb_test_file /usr/share/misc/termcap >out.stdout  2>out.stderr
	check_exit_value $? 0		# should be zero
	check_nostdout			# should be no stdout
	check_nostderr			# should be no stderr
	tpresult				# set result code
}

tp5()
{
	tpstart "Reference 4.8.3-5(C)"
	tet_infoline "If the implementation supports the file termcap.db"
	tet_infoline "it will exist in the /usr/share/misc directory"
	if test -z $LSB_FILE_TERMCAPDB
	then
		tpresult UNSUPPORTED
		return
	fi
	lsb_test_file /usr/share/misc/termcap.db >out.stdout  2>out.stderr
	check_exit_value $? 0		# should be zero
	check_nostdout			# should be no stdout
	check_nostderr			# should be no stderr
	tpresult				# set result code
}

startup() # startup function
{
     rm -f out.stdout out.stderr out.experr >/dev/null 2>&1
}


cleanup() # clean-up function
{
     rm -f out.stdout out.stderr out.experr >/dev/null 2>&1
}

# source common shell functions

. $TET_EXECUTE/LIB/shfuncs.sh
. $TET_EXECUTE/LIB/lsbfuncs.sh

# execute shell test case manager - must be last line
. $TET_ROOT/lib/xpg3sh/tcm.sh
