#!/bin/sh
# spool-lpd-tc.sh : test case for /var/spool/lpd directory

tet_startup="startup"			# startup function
tet_cleanup="cleanup"			# cleanup function
iclist="ic1 ic2"
ic1="tp1"
ic2="tp2"


tp1()
{
	tpstart "Reference 5.10.1-1(A)"
	tet_infoline "The /var/spool/lpd directory exists and is searchable"
	lsb_test_dir_searchable /var/spool/lpd >out.stdout  2>out.stderr
	check_exit_value $? 0		# should be zero
	check_nostdout			# should be no stdout
	check_nostderr			# should be no stderr
	if [ $FAIL = Y ]
	then
		tet_infoline "/var/spool/lpd not found"
		tet_infoline "This appears to be an issue with the FHS2.0 specification"
		tet_infoline "which mandates it. Its probable we want to make this conditional"
		tet_infoline "on whether printing is supported."
		FAIL=N
		tpresult WARNING
	else
		tpresult		# set result code
	fi
}

tp2()
{
	tpstart "Reference 5.10.2-1(C)"
	tet_infoline "If the implementation has the lpd daemon running then"
	tet_infoline "The lock file /var/spool/lpd/lpd.lock exists"
	if test -z $LSB_LPD_RUNNING
	then
		tpresult UNSUPPORTED
		return
	fi
	lsb_test_file /var/spool/lpd/lpd.lock >out.stdout  2>out.stderr
	check_exit_value $? 0		# should be zero
	check_nostdout			# should be no stdout
	check_nostderr			# should be no stderr
	tpresult				# set result code
}

startup() # startup function
{
     rm -f out.stdout out.stderr out.experr >/dev/null 2>&1
}


cleanup() # clean-up function
{
     rm -f out.stdout out.stderr out.experr >/dev/null 2>&1
}

# source common shell functions

. $TET_EXECUTE/LIB/shfuncs.sh
. $TET_EXECUTE/LIB/lsbfuncs.sh

# execute shell test case manager - must be last line
. $TET_ROOT/lib/xpg3sh/tcm.sh
